Clears the error on the socket or the last error code

- « socket_bind

- socket_close »

- PHP Manual
- Socket Functions
- Clears the error on the socket or the last error code

# socket_clear_error

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

socket_clear_error — Clears the error on the socket or the last error code

### Description

socket_clear_error(?Socket `$socket` = `null`): void

This function clears the error code on the given socket or the global last socket error if no socket is specified.

This function allows explicitly resetting the error code value either of a socket or of the extension global last error code. This may be useful to detect within a part of the application if an error occurred or not.

### Parameters

`socket`

  A Socket instance created with socket_create().

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
8.0.0 | `socket` is a Socket instance now; previously, it was a resource.
8.0.0 | `socket` is nullable now.

### See Also

- socket_last_error() - Returns the last error on the socket
- socket_strerror() - Return a string describing a socket error